Skip to content
GEOS and PROJ.4 bindings for Node.
Find file
Pull request Compare This branch is 176 commits behind kashif:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
src
test
.gitignore
LICENSE
README.md
geos.js
package.json
wscript

README.md

node-geos

GEOS (Geometry Engine) and PROJ.4 (Cartographic Projections) bindings for Node.

Prerequisites

Make sure you have GEOS version 3.x as well as PROJ.4 version 4.7.x or higher installed together with the headers and libraries.

Installation

To obtain and build the bindings:

git clone git://github.com/kashif/node-geos.git
cd node-geos
node-waf configure build

or install it via npm:

npm install geos
Something went wrong with that request. Please try again.